## Tilastotieteen käsikirja / R-esimerkit lukuun 5
## (C) 2021 Lauri Nummenmaa / Tammi

## --------------------------------------------------------------------------------------------------------------------------------
ciri<-read.csv("ciri.csv")

## --------------------------------------------------------------------------------------------------------------------------------
length(c(1,2,NULL,4))	# Tyhjä havainto ei vaikuta vektorin pituuteen 
sum(c(1,2,NULL,4))	# Summa voidaan laskea vaikka havainto on tyhjä
length(c(1, 2, NA, 4)) 	# Puuttuva havainto ei vaikuttaa vektorin pituuteen
sum(c(1, 2, NA, 4) )	# Summaa ei voida laskea jos havainto puuttuu
1/Inf # Äärettömällä voi jakaa
0/0 # Nollaa ei voi jakaa nollalla

## --------------------------------------------------------------------------------------------------------------------------------
Kolesteroli <- c(5.7, 7.3, 6.7, 5.3, 8.5)
Ika <- c(27, 24, 28, 24, 26)
data <- cbind(Kolesteroli, Ika)
data

## --------------------------------------------------------------------------------------------------------------------------------
data <- read.csv("data.csv")
data

## --------------------------------------------------------------------------------------------------------------------------------
data_mv<-read.csv(file="data_mv.csv",
header=FALSE,
na.string="MV",
col.names=c("SUKUP","INSRES","PIBPOS","CERAD","KOLESTEROLI","IKA","BMI"),sep=";")
data_mv

## --------------------------------------------------------------------------------------------------------------------------------
library(readxl) 
data_excel<-read_excel("data.xlsx",1,range="A1:E6",na="NULL",
col_names=c("SUKUP","INSRES","PIBPOS","CERAD","KOLESTEROLI"))
data_excel

## --------------------------------------------------------------------------------------------------------------------------------
save(data,file="testidata.RData") 	# Tallennetaan tietokehikko  RData-tiedostoksi
load("testidata.RData")  # Ladataan tietokehikko ”data.RData” 
write.csv(data, file = "tekstiaineisto.csv")	# Tallennetaan tietokehikko ”data” CSV-tiedostoksi

## --------------------------------------------------------------------------------------------------------------------------------
tuntemukset<-read.csv("tuntemukset.csv") 	# Ladataan aineisto
mean(tuntemukset$HALLITTAVUUS)	# Lasketaan keskiarvo
attach(tuntemukset) # Liitetään tietokehikko "Tuntemukset""
mean(HALLITTAVUUS)	# Tietokehikon muuttujiin voi viitata suoraan
detach(tuntemukset)	# Vapautetaan tietokehikko

## --------------------------------------------------------------------------------------------------------------------------------
names(tuntemukset)  # Tarkistetaan muuttujien nimet
tuntemukset$TUNTEMUS <- NULL # Poistetaan muuttuja TUNTEMUS 
tuntemukset[4:6] <- list(NULL) # Poistetaan muuttujat neljännestä alkaen
SATUNNAINEN<-runif(100)	# Luodaan satunnaislukuvektori
tuntemukset$SATUNNAINEN<-SATUNNAINEN	# Lisätään satunnaisluvut tietokehikkoon
names(tuntemukset)

## ----results="hold"--------------------------------------------------------------------------------------------------------------
mean(tuntemukset$KEHOSSA) # Lasketaan keskiarvo
tuntemukset$KEHOSSA<-sqrt(tuntemukset$KEHOSSA) # Korotetaan toiseen potenssiin
mean(tuntemukset$KEHOSSA) # Lasketaan keskiarvo uudestaan

## --------------------------------------------------------------------------------------------------------------------------------
class(tuntemukset$LUOKKA) # Tarkistetaan muuttujan LUOKKA tyyppi
sapply(tuntemukset,class)	# Tarkistetaan kaikki tietokehikon muuttujat
tuntemukset$KEHOSSA<-as.numeric(tuntemukset$KEHOSSA)	# Mutetaan numeeriseksi
sapply(tuntemukset,class)	 # Tarkistetaan  tietokehikon muuttujat

## --------------------------------------------------------------------------------------------------------------------------------
summary(tuntemukset$LUOKKA)	# Tarkistetaan muuttuja LUOKKA
tuntemukset$LUOKKA<-as.character(tuntemukset$LUOKKA)  # Muunnetaan merkkijonoksi
summary(tuntemukset$LUOKKA)		# Frekvenssien laskeminen ei onnistu
tuntemukset$LUOKKA<-as.factor(tuntemukset$LUOKKA)  	# Palautetaan tekijäksi
summary(tuntemukset$LUOKKA) # Kaikki kunnossa

## --------------------------------------------------------------------------------------------------------------------------------
a=1:10;a[5]<-NA
a
mean(a)
mean(a,na.rm=TRUE)

