## Tilastotieteen käsikirja / R-esimerkit lukuun 6
## (C) 2021 Lauri Nummenmaa / Tammi

## --------------------------------------------------------------------------------------------------------------------------------
library(nummenmaa)

## --------------------------------------------------------------------------------------------------------------------------------
table(suhteet$SUKUP) # Taulukko
table(suhteet$SUKUP,suhteet$KOULUTUS) # Ristiintaulukointi

## --------------------------------------------------------------------------------------------------------------------------------
prop.table(table(suhteet$SUKUP))*100 # Suhteelliset osuudet
round(prop.table(table(suhteet$SUKUP,suhteet$KOULUTUS),2)*100,0)

## --------------------------------------------------------------------------------------------------------------------------------
(56 + 32 + 43 + 9 + 15) / 5

## --------------------------------------------------------------------------------------------------------------------------------
mean(c(56,32,43,9,15)) # Keskiarvo luvuista
mean(suhteet$BMI) # Keskiarvo tietokehikon muuttujasta
median(suhteet$BMI) # Mediaani

## --------------------------------------------------------------------------------------------------------------------------------
# Muodostetaan funktiot geometriselle ja harmoniselle keskiarvolle
geoMean<-function(arvot){exp(mean(log(arvot)))}
harmMean<-function(arvot){1/mean(1/arvot)}

# Kokeillaan funktioita
geoMean(c(56,32,43,9,15))
geoMean(suhteet$PITUUS)

## --------------------------------------------------------------------------------------------------------------------------------
ka=(56 + 32 + 43 + 9 + 15) / 5
varianssi=(((56-ka)^2+(32-ka)^2+(43-ka)^2+(9-ka)^2+(15-ka)^2)/4)
varianssi
sqrt(varianssi) # Keskihajonta

## --------------------------------------------------------------------------------------------------------------------------------
var(c(56,32,43,9,15)) 
sd(suhteet$BMI)

## --------------------------------------------------------------------------------------------------------------------------------
# Muodostetaan keskihajontafunktio ja kokeillaan sitä
sd.p=function(x){sd(x)*sqrt((length(x)-1)/length(x))}
sd.p(c(56,32,43,9,15))

## --------------------------------------------------------------------------------------------------------------------------------
min(suhteet$BMI)
max(suhteet$BMI)
range(suhteet$BMI)

## --------------------------------------------------------------------------------------------------------------------------------
library(psych)
skew(suhteet$BMI)
kurtosi(suhteet$BMI)

## ----results="hold"--------------------------------------------------------------------------------------------------------------
sapply(suhteet[5:6],mean)
sapply(suhteet[5:6],sd)

## --------------------------------------------------------------------------------------------------------------------------------
summary(suhteet$BMI)
summary(suhteet[1:5])

## --------------------------------------------------------------------------------------------------------------------------------
by(suhteet[3:5],suhteet$SUKUP, summary)

