## Tilastotieteen käsikirja / R-esimerkit lukuun 11
## (C) 2021 Lauri Nummenmaa / Tammi

## --------------------------------------------------------------------------------------------------------------------------------
a <- seq(0,25,by = 1) # Luodaan pisteet joille funktiot piirretään
dy <- dbinom(x=a,size=25,prob=0.5) # Todennäköisyysfunktion arvot
py <- pbinom(q=a,size=25,prob=0.5) # Kertymäfunktion arvot
par(mfrow=c(1,2)) # Kuvaajan asettelu
plot(a,dy,ann=FALSE) # Todennäköisyysfunktion piirtäminen
plot(a,py,ann=FALSE,type="S") # Kertymäfunktion piirtäminen

## --------------------------------------------------------------------------------------------------------------------------------
dbinom(x=3,size=10, prob=0.5)

## --------------------------------------------------------------------------------------------------------------------------------
pbinom(q = 3, size = 10, prob = 0.5)

## --------------------------------------------------------------------------------------------------------------------------------
rbinom(n = 10, size = 10, prob = 0.5)

## --------------------------------------------------------------------------------------------------------------------------------
toistot=rbinom(n = 500, size = 10, prob = 0.5) # Simuloidaan toistokoetta
par(mfrow=c(1,1)) # Kuvaajan asettelu
hist(toistot,xlab="Klaavojen määrä", ylab="Frekvenssi",
     main=NULL,col="skyblue2") # Piirretään histogrammi
summary(toistot) # Lasketaan tunnusluvut

## --------------------------------------------------------------------------------------------------------------------------------
a <- seq(0,50,by = 1) # Luodaan pisteet joille funktiot piirretään
dy <- dpois(x=a,lambda=20) # Todennäköisyysfunktion arvot
py <- ppois(q=a,lambda=20) # Kertymäfunktion arvot
par(mfrow=c(1,2)) # Kuvaajan asettelu
plot(a,dy,ann=FALSE) # Todennäköisyysfunktion piirtäminen
plot(a,py,ann=FALSE,type="S") # Kertymäfunktion piirtäminen

## --------------------------------------------------------------------------------------------------------------------------------
dpois(x=16, lambda=12)

## --------------------------------------------------------------------------------------------------------------------------------
ppois(q=16, lambda=12)

## --------------------------------------------------------------------------------------------------------------------------------
rpois(n=1,lambda=12)
rpois(n=10,lambda=12)

## --------------------------------------------------------------------------------------------------------------------------------
jalankulkijat <- rpois(n=365,lambda=12) # Simuloidaan toistokoetta
par(mfrow=c(1,1)) # Kuvaajan asettelu
hist(jalankulkijat,breaks=20,xlab="Jalankulkijoiden lukumäärä", 
     ylab="Frekvenssi", main=NULL,col="skyblue2") # Piirretään histogrammi
summary(jalankulkijat) # Lasketaan tunnusluvut

## --------------------------------------------------------------------------------------------------------------------------------
a <- seq(-5, 5, by = .01) # Luodaan pisteet joille funktiot piirretään
dy <- dnorm(x=a, mean = 0, sd = 1) # Tiheysfunktion arvot
py <- pnorm(q=a, mean = 0, sd = 1) # Kertymäfunktion arvot
par(mfrow=c(1,2)) # Kuvaajan asettelu
plot(a,dy,type="l",lwd=3,ann=FALSE) # Tiheysfunktion piirtäminen
plot(a,py,type="l",lwd=3,ann=FALSE) # Kertymäfunktion piirtäminen

## --------------------------------------------------------------------------------------------------------------------------------
dnorm(x=23,mean=22,sd=1)


## --------------------------------------------------------------------------------------------------------------------------------
pnorm(q=23,mean=22,sd=1)

## --------------------------------------------------------------------------------------------------------------------------------
rnorm(n=1,mean=22,sd=1)
rnorm(n=5,mean=22,sd=1)

## --------------------------------------------------------------------------------------------------------------------------------
kalat <- rnorm(n=200,mean=22,sd=1)  # Simuloidaan satunnaisotantaa
par(mfrow=c(1,1)) # Kuvaajan asettelu
hist(kalat,breaks=20,xlab="Kalojen paino", ylab="Frekvenssi", main=NULL,col="skyblue2") # Piirretään histogrammi
summary(kalat) # Lasketaan tunnusluvut

## --------------------------------------------------------------------------------------------------------------------------------
a <- seq(-5, 5, by = .01) # Luodaan pisteet joille funktiot piirretään
dy <- dt(a, df = 10) # Tiheysfunktion arvot
dpy <- pt(a, df = 10) # Kertymäfunktion arvot
par(mfrow=c(1,2)) # Kuvaajan asettelu
plot(a,dy,type="l",lwd=3,ann=FALSE) # Tiheysfunktion piirtäminen
plot(a,py,type="l",lwd=3,ann=FALSE) # Kertymäfunktion piirtäminen

## --------------------------------------------------------------------------------------------------------------------------------
dt(x=2,df=20) # Tiheysfunktion arvo
pt(q=2,df=20) # Kertymäfunktion arvo
rt(n=1,df=20) # Satunnaisluku
rt(n=5,df=20) # Viisi satunnaislukua

## --------------------------------------------------------------------------------------------------------------------------------
arvot<- rt(200,df=5) # Poimitaan satunnaislukuja
par(mfrow=c(1,1)) # Kuvaajan asettelu
hist(arvot,breaks=20,xlab="t-arvot", ylab="Frekvenssi", main=NULL,col="skyblue2") # Piirretään histogrammi

## --------------------------------------------------------------------------------------------------------------------------------
a <- seq(0, 30, by = .02) # Luodaan pisteet joille funktiot piirretään
dy <- dchisq(a, df = 5) # Tiheysfunktion arvot
py <- pchisq(a, df = 5) # Kertymäfunktion arvot
par(mfrow=c(1,2))  # Kuvaajan asettelu
plot(a,dy,type="l",lwd=3,ann=FALSE) # Tiheysfunktion piirtäminen
plot(a,py,type="l",lwd=3,ann=FALSE) # Kertymäfunktion piirtäminen

## ----results="hold"--------------------------------------------------------------------------------------------------------------
dchisq(x=2,df=4) # Tiheysfunktion arvo
pchisq(q=2,df=4) # Kertymäfunktion arvo
rchisq(n=1,df=4) # Satunnaisluku
rchisq(n=5,df=4) # Viisi satunnaislukua

## --------------------------------------------------------------------------------------------------------------------------------
arvot<- rchisq(200,df=5) # Satunnaisluvut
par(mfrow=c(1,1)) # Kuvaajan asettelu
hist(arvot,breaks = 20,xlab="Khiin neliö -arvot", ylab="Frekvenssi",  
     main=NULL,col="skyblue2") # Histogrammi

## --------------------------------------------------------------------------------------------------------------------------------
normaali.1 <- rnorm(n=1000,mean=0,sd=1) # Luodaan satunnaismuuttujat 1-3
normaali.2 <- rnorm(n=1000,mean=0,sd=1)
normaali.3 <- rnorm(n=1000,mean=0,sd=1) 
khii=normaali.1^2+normaali.2^2+normaali.3^2 # Neliöidään ja summataan uudeksi satunnaismuuttujaksi

par(mfrow=c(2,2)) # Piirretään histogrammit
hist(normaali.1,breaks=20,xlab="", ylab="", main="Normaali 1",col="skyblue2",prob=TRUE)
hist(normaali.2,breaks=20,xlab="", ylab="", main="Normaali 2",col="skyblue2",prob=TRUE)
hist(normaali.3,breaks=20,xlab="", ylab="", main="Normaali 3",col="skyblue2",prob=TRUE)
hist(khii,breaks=20,ylim=c(0,0.25),xlab="", 
     ylab="", main="Khii^2 (df=3)",col="skyblue2",prob=TRUE)
curve(dchisq(x,df=3),lwd=2,add=TRUE) # Lisätään khiin neliö -jakauman tiheysfunktio

## --------------------------------------------------------------------------------------------------------------------------------
a <- seq(0, 5, by = .02) # Luodaan pisteet joille funktiot piirretään
dy <- df(a, df1 = 15, df2=20) # Tiheysfunktion arvot
py <- pf(a, df1 = 15, df2=20) # Kertymäfunktion arvot
par(mfrow=c(1,2)) # Kuvaajan asettelu
plot(a,dy,type="l",lwd=3,ann=FALSE) # Tiheysfunktion piirtäminen
plot(a,py,type="l",lwd=3,ann=FALSE) # Kertymäfunktion piirtäminen

## --------------------------------------------------------------------------------------------------------------------------------
df(x=2,df1=10,df2=30) # Tiheysfunktion arvo
pf(q=2,df1=10,df2=30) # Kertymäfunktion arvo
rf(n=1,df1=10,df2=30) # Satunnaisluku
rf(n=5,df1=10,df2=30) # Viisi satunnaislukua

## --------------------------------------------------------------------------------------------------------------------------------
F1<- rf(500,df1=2,df2=10) # Poimitaan satunnaislukuvektorit
F2<- rf(500,df1=10,df2=50)
F3<- rf(500,df1=100,df2=100)
par(mfrow=c(1,3)) # Kuvaajan asettelu

# Piirretään histogrammit
hist(F1,xlab="F-arvot", ylab="Frekvenssi", main="F(1,10)",col="skyblue2") 
hist(F2,xlab="F-arvot", ylab="Frekvenssi", main="F(10,50)",col="skyblue2")
hist(F3,xlab="F-arvot", ylab="Frekvenssi", main="F(100,100)",col="skyblue2")

