## Tilastotieteen käsikirja / R-esimerkit lukuun 15
## (C) 2021 Lauri Nummenmaa / Tammi

## --------------------------------------------------------------------------------------------------------------------------------
# Ladataan aineistopaketti ja kirjastot
library(nummenmaa)
library(ggpubr)

# Piirretään kuvaajat
kuva1<-ggdensity(aggressio,x="ITSE_EMPATIA",
                 color="LUOKKA", fill="LUOKKA",alpha=0.7, palette="Set2") # Tiheysfunktio
kuva2<-ggqqplot(aggressio,x="ITSE_EMPATIA",
                color="LUOKKA", fill="LUOKKA", palette="Set2") # Q-Q -kuvaaja
ggarrange(kuva1, kuva2, ncol=2) # Järjestetään kuvaajat

# Lasketaan normaalijakauma- ja varianssitestit
with(aggressio,tapply(ITSE_EMPATIA, LUOKKA, shapiro.test)) # Shapiro-Wilkin test
bartlett.test(ITSE_EMPATIA ~ LUOKKA, data = aggressio) # Bartlettin testi

## --------------------------------------------------------------------------------------------------------------------------------
# Muodostetaan varianssianalyysimalli
res.aov<-aov(ITSE_EMPATIA ~ LUOKKA, data = aggressio) # Malli
summary(res.aov) # Tarkistetaan tulokset

# Piirretään kuvaaja
ggplot(aggressio, aes(x=LUOKKA,  y=ITSE_EMPATIA,fill=LUOKKA))+ # Kuvaaja
geom_boxplot()+theme_light()+
   theme(legend.title = element_blank()) + # Poistetaan ylimääräinen selite
  scale_fill_brewer(palette="YlOrRd") # Vaihdetaan värikartta

## --------------------------------------------------------------------------------------------------------------------------------
TukeyHSD(res.aov) # Lasketaan monivertailut

