## Tilastotieteen käsikirja / R-esimerkit lukuun 16
## (C) 2021 Lauri Nummenmaa / Tammi

## --------------------------------------------------------------------------------------------------------------------------------
# Ladataan paketit ja aineisto 
library(ggpubr)
library(nummenmaa)
kuva1<-ggdensity(kipu,x="KIPUVAIKYLEISESTI",fill="KROONINENKIPU",
                 facet.by="SUKUP",palette="Set1") # Tiheysfunktiot
kuva2<-ggqqplot(kipu,x="KIPUVAIKYLEISESTI",color="KROONINENKIPU",
                facet.by="SUKUP",palette="Set1") # Q-Q-kuvaajat
ggarrange(kuva1, kuva2, ncol=2) # Järjestellään kuvat

# Lasketaan normaalijakauma- ja varianssitestit
with(kipu,tapply(KIPUVAIKYLEISESTI, KROONINENKIPU, shapiro.test)) # Normaalijakaumatesti
bartlett.test(KIPUVAIKYLEISESTI~interaction(KROONINENKIPU,SUKUP), data = kipu) # Varianssitesti

## --------------------------------------------------------------------------------------------------------------------------------
# Muodostetaan varianssianalyysimalli
res.aov<-aov(KIPUVAIKYLEISESTI ~ KROONINENKIPU*SUKUP, data = kipu) # Malli
summary(res.aov) # Tarkistetaan tulokset

# Piirretään kuvaaja
ggplot(kipu, aes(x=KROONINENKIPU,  y=KIPUVAIKYLEISESTI,fill=SUKUP))+
geom_boxplot()+theme_light()+
   theme(legend.title = element_blank()) + # Poistetaan ylimääräinen selite
  scale_fill_brewer(palette="YlOrRd") # Vaihdetaan värikartta
TukeyHSD(res.aov)

