## Tilastotieteen käsikirja / R-esimerkit lukuun 17
## (C) 2021 Lauri Nummenmaa / Tammi

## --------------------------------------------------------------------------------------------------------------------------------
# Ladataan aineistopaketti ja ggpubr ja arvioidaan jakaumien normaalius kuvien perusteella
library(nummenmaa)
library(ggpubr)
kuva1<-ggdensity(hitfeelshit1,x="UUPUMUS",fill="VETO") # Tiheysfunktiot
kuva2<-ggqqplot(hitfeelshit1,x="UUPUMUS",color="VETO") # Q-Q-kuvaajat
ggarrange(kuva1, kuva2, ncol=2) # Järjestellään kuvat

## --------------------------------------------------------------------------------------------------------------------------------
library(ggplot2) 
# Muodostetaan varianssianalyysimalli
res.aov<-aov(UUPUMUS ~ VETO + Error(ID/VETO), data = hitfeelshit1) # Malli
summary(res.aov) # Tarkistetaan tulokset

# Piirretään kuvaaja
ggplot(hitfeelshit1, aes(x=VETO,  y=UUPUMUS,fill=VETO))+ # Piirretään kuvaaja
geom_boxplot()+theme_light()+
   theme(legend.title = element_blank()) + # Poistetaan ylimääräinen selite
  scale_fill_brewer(palette="YlOrRd") # Vaihdetaan värikartta

## --------------------------------------------------------------------------------------------------------------------------------
# Muodostetaan varianssianalyysimalli
res.aov <- aov(UUPUMUS ~ (VETO*RYHMA) + Error(ID/(VETO)), data = hitfeelshit1) # Malli
summary(res.aov) # Tarkistetaan tulokset

# Piirretään kuvaaja
ggplot(hitfeelshit1, aes(x=VETO,  y=UUPUMUS,fill=RYHMA))+ # Piirretään kuvaaja
geom_boxplot()+theme_light()+
   theme(legend.title = element_blank()) + # Poistetaan ylimääräinen selite
  scale_fill_brewer(palette="YlOrRd") # Vaihdetaan värikartta

## --------------------------------------------------------------------------------------------------------------------------------
# Muodostetaan varianssianalyysimalli
res.aov <- aov(ARVIO ~ (VETO*TUNNETILA) + 
                 Error(ID/(VETO*TUNNETILA)), data = hitfeelshit2) # Malli
summary(res.aov) # Tulokset

# Piirretään kuvaaja
ggplot(hitfeelshit2, aes(x=VETO,  y=,ARVIO, fill=TUNNETILA))+ # Piirretään kuvaaja
geom_boxplot()+theme_light()+
   theme(legend.title = element_blank()) + # Poistetaan ylimääräinen selite
  scale_fill_brewer(palette="YlOrRd") # Vaihdetaan värikartta


