## Tilastotieteen käsikirja / R-esimerkit lukuun 18
## (C) 2021 Lauri Nummenmaa / Tammi

## --------------------------------------------------------------------------------------------------------------------------------
# Ladataan aineistopaketti ja ggplot2 -paketti
library(nummenmaa)
library(ggplot2)

# Lasketaan testisuure
wilcox.test(EMPATIA~SUKUP, data=persoonallisuus) # Wilcoxonin testi
by(persoonallisuus$EMPATIA,persoonallisuus$SUKUP, median) # Lasketaan mediaanit

# Piirretään kuvaaja
ggplot(persoonallisuus, aes(x=SUKUP, y=EMPATIA, fill=SUKUP))+ 
  geom_boxplot()+theme_light()+ labs(x="Sukupuoli", y="Empatiakyky") +
    theme(legend.title = element_blank()) + # Poistetaan ylimääräinen selite
  scale_fill_brewer(palette="YlOrRd")

## --------------------------------------------------------------------------------------------------------------------------------
# Lasketaan testisuure
wilcox.test(persoonallisuus$NEUROTISISMI,persoonallisuus$AVOIMUUS,paired=TRUE)

# Muokataan data kuvaajan piirtämistä varten
data <- stack(persoonallisuus[,c(15,17)])

# Piirretään kuvaaja
ggplot(data, aes(x=ind, y=values, fill=ind))+ # Kuvaaja
geom_boxplot()+theme_light()+ labs(x="Persoonallisuuspiirre", y="Voimakkuus") +
  theme(legend.title = element_blank()) + # Poistetaan ylimääräinen selite
  scale_fill_brewer(palette="YlOrRd")

## --------------------------------------------------------------------------------------------------------------------------------
# Ladataa aineisto ja lasketaan testisuure
suhteet<-read.csv("/Users/lauri/Desktop/StatsBookTemp/Toimivat/suhteet.csv")
kruskal.test(LIIKUNTAMAARA~PARISUHDE, data=suhteet) 

# Piirretään kuvaaja
ggplot(suhteet, aes(x=PARISUHDE, y=LIIKUNTAMAARA, fill=PARISUHDE))+ # Kuvaaja
geom_boxplot()+theme_light()+
    theme(legend.title = element_blank()) + # Poistetaan ylimääräinen selite
  scale_fill_brewer(palette="YlOrRd")

## --------------------------------------------------------------------------------------------------------------------------------
# Lasketaan testisuure
testi<-data.matrix(persoonallisuus[,15:19])
friedman.test(testi)

# Muokataan data kuvaajan piirtämistä varten
data <- stack(persoonallisuus[,15:19])

# Piirretään kuvaaja
ggplot(data, aes(x=ind, y=values, fill=ind))+ # Kuvaaja
geom_boxplot()+theme_light()+ labs(x="Persoonallisuuspiirre", y="Voimakkuus") +
  theme(legend.title = element_blank()) + # Poistetaan ylimääräinen selite
  coord_flip() + # Käännetään kuvaaja
  scale_fill_brewer(palette="YlOrRd")

