## Tilastotieteen käsikirja / R-esimerkit lukuun 19
## (C) 2021 Lauri Nummenmaa / Tammi

## --------------------------------------------------------------------------------------------------------------------------------# Ladataan aineistopaketti ja ggplot2 -kirjasto
library(nummenmaa)
library(ggplot2)

## --------------------------------------------------------------------------------------------------------------------------------
# Tulomomenttikorrelaatiokerroin
pears<-cor.test(persoonallisuus$AHDISTUNEISUUS,persoonallisuus$MASENNUS) 
pears<-cor.test(~AHDISTUNEISUUS+MASENNUS,data=persoonallisuus)  # Mallimuoto

# Järjestyskorrelaatiokerroin
spear<-cor.test(persoonallisuus$AHDISTUNEISUUS,persoonallisuus$MASENNUS,
                method = "spearman") 
spear<-cor.test(~AHDISTUNEISUUS+MASENNUS,method="spearman", 
                data=persoonallisuus) # Mallimuoto

# Tarkistetaan tulokset
pears 
spear

# Piirretään sirontakuvio
ggplot(persoonallisuus, aes(x=MASENNUS,y=AHDISTUNEISUUS)) + # Määritellään data
  geom_point(color="darkblue",fill="lightblue", # Määritellään sirontakuvio
             alpha=0.50,size=3) + # Säädetään läpinäkyvyys 
  geom_smooth(method=lm) +   # Lisätään regressiosuora
  theme_light() + # Valitaan kevyt ulkoasu
  labs(x="Masennus", y = "Ahdistuneisuus") # Lisätään akselien selitteet

## --------------------------------------------------------------------------------------------------------------------------------
library(GGally)
round(cor(persoonallisuus[,6:9]),2) # Lasketaan ja pyöristetään korrelaatiomatriisi
ggpairs(persoonallisuus[,3:7])+theme_minimal()+ # Piirretään sirontakuvio
  theme(panel.grid.minor = element_blank()) 

## --------------------------------------------------------------------------------------------------------------------------------
library(ppcor)
cor.test(persoonallisuus$AHDISTUNEISUUS,persoonallisuus$MASENNUS)
pcor.test(persoonallisuus$AHDISTUNEISUUS,persoonallisuus$MASENNUS,persoonallisuus$STRESSI)

## --------------------------------------------------------------------------------------------------------------------------------
fit <- lm(AHDISTUNEISUUS ~ MASENNUS + STRESSI + NEUROTISISMI, data = persoonallisuus)
sqrt(summary(fit)$r.squared)

