## Tilastotieteen käsikirja / R-esimerkit lukuun 20
## (C) 2021 Lauri Nummenmaa / Tammi

## --------------------------------------------------------------------------------------------------------------------------------
library(nummenmaa)

## --------------------------------------------------------------------------------------------------------------------------------
havaitut<-table(suhteet$SUKUP) # Taulukko
par(mfrow=c(1,1)) # Kuvaajan asettelu
barplot(prop.table(havaitut)*100) #Pylväskuvio

## --------------------------------------------------------------------------------------------------------------------------------
odotetut<-c(1/2,1/2) # Muodostetaan odotetut frekvenssit
chi<-chisq.test(havaitut,p=odotetut) # Yhteensopivuustesti
chi$observed # Tarkistetaan odotetut frekvenssit
chi$expected # Tarkastetaan havaitut frekvenssit
chi # Testisuureen arvo

## ----fig.height=4, fig.width=6---------------------------------------------------------------------------------------------------
taulukko<-table(suhteet$PARISUHDE,suhteet$SUKUP)
prop.table(taulukko)
barplot(prop.table(taulukko,2)*100, # Muunnetaan prosenteiksi
        xlab="Sukupuoli", ylab="Prosenttia", legend=rownames(taulukko)) # Kuvaaja

## --------------------------------------------------------------------------------------------------------------------------------
chi<-chisq.test(taulukko) # Lasketaan testisuure
chi$observed # Havaitut frekvenssit
chi$expected # Odotetut frekvenssit
chi$residuals # Jäännöstermit
chi # Testisuureen arvo

