## Tilastotieteen käsikirja / R-esimerkit lukuun 22
## (C) 2021 Lauri Nummenmaa / Tammi

## --------------------------------------------------------------------------------------------------------------------------------
# Ladataan aineistopaketti ja suodatetaan aineisto
library(nummenmaa)
suhteessa <- suhteet[which(suhteet$PARISUHDE!='Sinkku'),] # Poistetaan sinkut
summary(suhteessa$PARISUHDE) # Tarkistetaan aineisto

## --------------------------------------------------------------------------------------------------------------------------------
pairs(suhteessa[,c(5,8:16)],pch = 20,cex=0.4,upper.panel=NULL)

## --------------------------------------------------------------------------------------------------------------------------------
round(cor(suhteessa[,c(5,8:11,13:14,16)]),2)

## --------------------------------------------------------------------------------------------------------------------------------
# Sovitetaan regressiomalli
fit <- lm(INTOHIMO ~ IKA + BMI + ULKONAKO + PUOLEENSAVETAVYYS + LIIKUNTAMAARA + 
            KIINN_OMASUPU +SEKS_AKTIIVISUUS, data = suhteessa) # Malli
summary(fit) # Tarkistetaan tulokset

## --------------------------------------------------------------------------------------------------------------------------------
# Parannellaan mallia
library(ggResidpanel)
fit <- lm(INTOHIMO ~ SEKS_AKTIIVISUUS + PUOLEENSAVETAVYYS + 
            KIINN_OMASUPU +IKA, data = suhteessa) # Malli
summary(fit) # Tarkistetaan tulokset
resid_panel(fit) # Jäännöstermikuvaaja

