## Tilastotieteen käsikirja / R-esimerkit lukuun 25
## (C) 2021 Lauri Nummenmaa / Tammi

## --------------------------------------------------------------------------------------------------------------------------------
library(nummenmaa)
library(psych)
round(cor(saately[,3:14]),2)

## --------------------------------------------------------------------------------------------------------------------------------
rel_kogn<-psych::alpha(saately[,3:8])
rel_peit<-psych::alpha(saately[,9:12])
summary(rel_kogn)
summary(rel_peit)

## --------------------------------------------------------------------------------------------------------------------------------
split11 <- with(saately, (KOGN1+KOGN2+KOGN3)/3) 
split12 <- with(saately, (KOGN4+KOGN5+KOGN6)/3) 
split21 <- with(saately, (KOGN1+KOGN3+KOGN5)/3) 
split22 <- with(saately, (KOGN2+KOGN4+KOGN6)/3) 
cor(split11,split12)
cor(split21,split22)

## --------------------------------------------------------------------------------------------------------------------------------
library(CTT)
spearman.brown(0.69, 2, "n")
spearman.brown(0.81, 2, "n")
spearman.brown(0.69, 0.95, "r")
spearman.brown(0.81, 0.95, "r")

