## Tilastotieteen käsikirja / R-esimerkit lukuun 30
## (C) 2021 Lauri Nummenmaa / Tammi

## --------------------------------------------------------------------------------------------------------------------------------
# Ladataan  aineostopaketti ja klusterointikirjasto ja valmistellaan aineisto
library(nummenmaa)
library(cluster) 
rownames(hevi) <- hevi[, 1] # Tallennetaan bändien nimet rivien nimiksi
hevi <- hevi[, -1]          # Poistetaan bändien nimimuuttuja
hevi<-scale(hevi) # Standardoidaan data

## --------------------------------------------------------------------------------------------------------------------------------
# Kiinnitetään satunnaislukugeneraattorin alkuarvo
set.seed(30/06/1963) 

# Ryhmitellään aineisto K-means -menetelmällä
fit4 <- kmeans(hevi, 4) # K-means neljällä klusterilla
par(mfrow=c(1,1)) # Kuvaajan asettelu
clusplot(hevi, fit4$cluster, color=TRUE, shade=TRUE, 
       labels=2, lines=0)

## --------------------------------------------------------------------------------------------------------------------------------
# Ryhmitellään aineisto hierarkkisesti
distance <- dist(hevi, method = "euclidean") # Lasketaan etäisyysmatriisi
fit <- hclust(distance, method="ward.D") 
plot(fit,xlab="", main=NULL, sub="") # Piirretään dendogrammi 

