## Tilastotieteen käsikirja / R-esimerkit lukuun 33
## (C) 2021 Lauri Nummenmaa / Tammi

## --------------------------------------------------------------------------------------------------------------------------------
# Ladataan datapaketti
library(nummenmaa)

## --------------------------------------------------------------------------------------------------------------------------------
# Muodostetaan faktorimalli
fit<-factanal(saately[,3:12],2,rotation="varimax") # Faktorianalyysi
print(fit,digits=2,cutoff=.3) # Tulokset, latausten raja .3

## --------------------------------------------------------------------------------------------------------------------------------
# Parannellaan mallia
fit<-factanal(saately[,3:12],3,rotation="varimax") # Faktorianalyysi
print(fit,digits=2,cutoff=.3) # Tulokset, latausten raja .3

## --------------------------------------------------------------------------------------------------------------------------------
lataukset<-fit$loadings[,1:2] # valitaan 2 faktoria
par(mfrow=c(1,1)) # Kuvaajan asettelu
plot(lataukset,ylim=c(0,0.9),xlim=c(0,1.1)) # Latausten kuvaaja sopivin akselein
text(lataukset,labels=names(saately[,3:12]),# Muuttujien nimet
     cex=.8,col="blue",pos=4) # Pisteiden värit ja merkit

